package com.mortals.xhx.module.apps.web;
import cn.hutool.core.lang.Validator;
import cn.hutool.core.net.url.UrlBuilder;
import cn.hutool.core.util.StrUtil;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.AppsClassifyEnum;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.apps.model.AppsInfoEntity;
import com.mortals.xhx.module.apps.service.AppsInfoService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 应用信息
*
* @author zxfei
* @date 2022-12-26
*/
@RestController
@RequestMapping("apps/info")
public class AppsInfoController extends BaseCRUDJsonBodyMappingController<AppsInfoService,AppsInfoEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AppsInfoController(){
        super.setModuleDesc( "应用信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "classify", IBaseEnum.getEnumMap(AppsClassifyEnum.class));
        super.init(model, context);
    }

    @Override
    protected int doListAfter(AppsInfoEntity query, Map<String, Object> model, Context context) throws AppException {
//        String url = request.getRequestURI();
//        System.out.println(url);
//        String host = request.getHeader("Host");

        List<AppsInfoEntity> list = (List<AppsInfoEntity>) model.get("data");
        if(CollectionUtils.isNotEmpty(list)){
            String host = "";
            String serverName = request.getHeader("server-name");
            Integer serverPort = DataUtil.converStr2Int(request.getHeader("server-port"),0);
            if (!ObjectUtils.isEmpty(serverName) && Validator.isIpv4(serverName)) {
                host = UrlBuilder.ofHttp(serverName).setPort(serverPort > 0 ? serverPort : 11078).build();
                host = StrUtil.sub(host, 0, host.length() - 1);
            }else {
                host="";
            }
            for(AppsInfoEntity appsInfoEntity:list){
                if(StringUtils.isNotEmpty(host)) {
                    appsInfoEntity.setCustUrl(host + "/" + appsInfoEntity.getCustUrl());
                }
            }
            model.put("data",list);
        }
        return 1;
    }

}