package com.mortals.xhx.module.sst.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sst.model.vo.SstBasicVo;
/**
 * 基础配置实体对象
 *
 * @author zxfei
 * @date 2023-02-27
 */

public class SstBasicEntity extends SstBasicVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 标题名称
     */
    private String titleName;
    /**
     * Logo图片地址
     */
    private String logoUrl;
    /**
     * 小程序二维码图片地址
     */
    private String appletCode;
    /**
     * 微信微博二维码图片地址
     */
    private String wechatCode;
    /**
     * 屏保时间单位分
     */
    private Integer saverTime;
    /**
     * 屏保图片地址
     */
    private String saverPic;
    /**
     * 技术支持
     */
    private String support;
    /**
     * 主办单位
     */
    private String sponsor;
    /**
     * 承办单位
     */
    private String organizer;
    /**
     * 备案号
     */
    private String record;
    /**
     * 启用长辈模式0不启用1启用
     */
    private Integer elderEnable;
    /**
     * 轮播图图片地址
     */
    private String carouselPic;



    public SstBasicEntity(){}
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 标题名称
     * @return String
     */
    public String getTitleName(){
        return titleName;
    }
    /**
     * 设置 标题名称
     * @param titleName
     */
    public void setTitleName(String titleName){
        this.titleName = titleName;
    }
    /**
     * 获取 Logo图片地址
     * @return String
     */
    public String getLogoUrl(){
        return logoUrl;
    }
    /**
     * 设置 Logo图片地址
     * @param logoUrl
     */
    public void setLogoUrl(String logoUrl){
        this.logoUrl = logoUrl;
    }
    /**
     * 获取 小程序二维码图片地址
     * @return String
     */
    public String getAppletCode(){
        return appletCode;
    }
    /**
     * 设置 小程序二维码图片地址
     * @param appletCode
     */
    public void setAppletCode(String appletCode){
        this.appletCode = appletCode;
    }
    /**
     * 获取 微信微博二维码图片地址
     * @return String
     */
    public String getWechatCode(){
        return wechatCode;
    }
    /**
     * 设置 微信微博二维码图片地址
     * @param wechatCode
     */
    public void setWechatCode(String wechatCode){
        this.wechatCode = wechatCode;
    }
    /**
     * 获取 屏保时间单位分
     * @return Integer
     */
    public Integer getSaverTime(){
        return saverTime;
    }
    /**
     * 设置 屏保时间单位分
     * @param saverTime
     */
    public void setSaverTime(Integer saverTime){
        this.saverTime = saverTime;
    }
    /**
     * 获取 屏保图片地址
     * @return String
     */
    public String getSaverPic(){
        return saverPic;
    }
    /**
     * 设置 屏保图片地址
     * @param saverPic
     */
    public void setSaverPic(String saverPic){
        this.saverPic = saverPic;
    }
    /**
     * 获取 技术支持
     * @return String
     */
    public String getSupport(){
        return support;
    }
    /**
     * 设置 技术支持
     * @param support
     */
    public void setSupport(String support){
        this.support = support;
    }
    /**
     * 获取 主办单位
     * @return String
     */
    public String getSponsor(){
        return sponsor;
    }
    /**
     * 设置 主办单位
     * @param sponsor
     */
    public void setSponsor(String sponsor){
        this.sponsor = sponsor;
    }
    /**
     * 获取 承办单位
     * @return String
     */
    public String getOrganizer(){
        return organizer;
    }
    /**
     * 设置 承办单位
     * @param organizer
     */
    public void setOrganizer(String organizer){
        this.organizer = organizer;
    }
    /**
     * 获取 备案号
     * @return String
     */
    public String getRecord(){
        return record;
    }
    /**
     * 设置 备案号
     * @param record
     */
    public void setRecord(String record){
        this.record = record;
    }
    /**
     * 获取 启用长辈模式0不启用1启用
     * @return Integer
     */
    public Integer getElderEnable(){
        return elderEnable;
    }
    /**
     * 设置 启用长辈模式0不启用1启用
     * @param elderEnable
     */
    public void setElderEnable(Integer elderEnable){
        this.elderEnable = elderEnable;
    }
    /**
     * 获取 轮播图图片地址
     * @return String
     */
    public String getCarouselPic(){
        return carouselPic;
    }
    /**
     * 设置 轮播图图片地址
     * @param carouselPic
     */
    public void setCarouselPic(String carouselPic){
        this.carouselPic = carouselPic;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SstBasicEntity) {
            SstBasicEntity tmp = (SstBasicEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",titleName:").append(getTitleName());
        sb.append(",logoUrl:").append(getLogoUrl());
        sb.append(",appletCode:").append(getAppletCode());
        sb.append(",wechatCode:").append(getWechatCode());
        sb.append(",saverTime:").append(getSaverTime());
        sb.append(",saverPic:").append(getSaverPic());
        sb.append(",support:").append(getSupport());
        sb.append(",sponsor:").append(getSponsor());
        sb.append(",organizer:").append(getOrganizer());
        sb.append(",record:").append(getRecord());
        sb.append(",elderEnable:").append(getElderEnable());
        sb.append(",carouselPic:").append(getCarouselPic());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.titleName = "";

        this.logoUrl = "";

        this.appletCode = "";

        this.wechatCode = "";

        this.saverTime = 0;

        this.saverPic = "";

        this.support = "";

        this.sponsor = "";

        this.organizer = "";

        this.record = "";

        this.elderEnable = 1;

        this.carouselPic = "";
    }
}