package com.mortals.xhx.module.sst.web;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.IUser;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.sst.model.SstAppsEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.sst.model.SstAppsDeskEntity;
import com.mortals.xhx.module.sst.service.SstAppsDeskService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 桌面终端应用编排
*
* @author zxfei
* @date 2023-04-09
*/
@RestController
@RequestMapping("sst/apps/desk")
public class SstAppsDeskController extends BaseCRUDJsonBodyMappingController<SstAppsDeskService,SstAppsDeskEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SstAppsDeskController(){
        super.setModuleDesc( "桌面终端应用编排");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "showBasic", paramService.getParamBySecondOrganize("SstApps","showBasic"));
        this.addDict(model, "showHot", paramService.getParamBySecondOrganize("SstApps","showHot"));
        super.init(model, context);
    }

    @PostMapping({"forbidden"})
    public Rest<Object> forbidden(@RequestBody SstAppsDeskEntity entity) {
        IUser user = this.getCurUser();
        if(user==null){
            throw new AppException("用户未登录");
        }
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        String busiDesc = "自助终端应用下架" ;
        int code=1;
        try {
            this.service.forbidden(entity.getAppId(),user.getId());
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }
}